com.smartgwt.client.types

## Enum TextMatchStyle

- java.lang.Object
- - java.lang.Enum<TextMatchStyle>
  - - com.smartgwt.client.types.TextMatchStyle

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<TextMatchStyle>

      public enum TextMatchStyle
      extends java.lang.Enum<TextMatchStyle>
      implements ValueEnum

  For "fetch" operations, how search criteria should be interpreted for text fields.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXACT` test for exact match
    `STARTS_WITH` test for the beginning of the value matching the search criteria
    `SUBSTRING` test for case-insenstive substring match

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static TextMatchStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextMatchStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXACT

          public static final TextMatchStyle EXACT

      test for exact match

    - #### SUBSTRING

          public static final TextMatchStyle SUBSTRING

      test for case-insenstive substring match

    - #### STARTS_WITH

          public static final TextMatchStyle STARTS_WITH

      test for the beginning of the value matching the search criteria

  - ### Method Detail

    - #### values

          public static TextMatchStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextMatchStyle c : TextMatchStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextMatchStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`